package jogl.example;

import java.util.ArrayList;
import java.util.List;

import com.jogamp.opengl.GL2;
import com.jogamp.opengl.GLAutoDrawable;

public class Poligono {
	private List<Ponto> vertices;
	
	public Poligono() {
		vertices = new ArrayList<Ponto>();
	}
	
	Ponto getVertice(int index) {
		return vertices.get(index);
	}
	
	long getNVertices() {
		return vertices.size();
	}
	
	void insereVertice(Ponto ponto) {
		vertices.add(ponto);
	}
	
	void desenhaPoligono(GLAutoDrawable gLDrawable) {
		final GL2 gl = gLDrawable.getGL().getGL2();
		
		gl.glBegin(GL2.GL_LINE_LOOP);
		
		for (int i=0; i<vertices.size(); i++) 
			gl.glVertex3d(vertices.get(i).x, vertices.get(i).y, vertices.get(i).z);
		
		
		gl.glEnd();
	}
	
	void desenhaVertice(GLAutoDrawable gLDrawable) {
		final GL2 gl = gLDrawable.getGL().getGL2();
		
		gl.glBegin(GL2.GL_POINTS);
		
		for (int i=0; i<vertices.size(); i++) 
			gl.glVertex3d(vertices.get(i).x, vertices.get(i).y, vertices.get(i).z);
		
		
		gl.glEnd();
	}
	
	void imprime() {
		for (int i=0; i<vertices.size(); i++) 
			System.out.println(vertices.get(i));
	};
}
